import 'd3';
import 'hammerjs';
import 'nvd3';
import 'nvd3-extra';
import { ChangeDetectorRef, ElementRef, EventEmitter, Injector, OnInit } from '@angular/core';
import { OFormComponent, OServiceBaseComponent, OTranslateService } from 'ontimize-web-ngx';
import { nvD3 } from 'ontimize-web-ngx-nvd3';
import { Subscription } from 'rxjs';
import { ChartFactory } from '../../interfaces/ChartFactory.interface';
import { ChartConfiguration } from '../../models/options/ChartConfiguration.class';
import { ChartService } from '../../services/chart.service';
import { OChartDataAdapterFactory } from './o-chart-data-adapter.factory';
export declare const CHART_TYPES: string[];
export declare const DEFAULT_INPUTS_O_CHART: any;
export declare class OChartComponent extends OServiceBaseComponent implements OnInit {
    protected form: OFormComponent;
    protected elRef: ElementRef;
    protected injector: Injector;
    static DEFAULT_INPUTS_O_CHART: any;
    static CHART_TYPES: string[];
    protected type: string;
    protected xAxis: string;
    protected yAxis: string;
    protected xAxisLabel: string;
    protected yAxisLabel: string;
    protected xAxisDataType: string;
    protected yAxisDataType: string;
    protected chartParameters: ChartConfiguration;
    protected cHeight: number;
    protected cWidth: number;
    protected _options: any;
    dataArray: Object[];
    protected dataService: any;
    protected yAxisArray: Array<string>;
    protected ChartOptions: any;
    protected chartWrapper: nvD3;
    protected formDataSubcribe: any;
    onTap: EventEmitter<any>;
    onDoubleTap: EventEmitter<any>;
    onPress: EventEmitter<any>;
    onSwipe: EventEmitter<any>;
    onRotate: EventEmitter<any>;
    onPinch: EventEmitter<any>;
    protected langSubscription: Subscription;
    protected clickEvtEmitter: EventEmitter<any>;
    protected chartService: ChartService;
    protected translateService: OTranslateService;
    cd: ChangeDetectorRef;
    constructor(form: OFormComponent, elRef: ElementRef, injector: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    ngOnDestroy(): void;
    data: any;
    options: any;
    getChartConfiguration(): ChartConfiguration;
    setChartConfiguration(conf: ChartConfiguration): void;
    getAdaptData(): any;
    getChartFactory(): ChartFactory;
    getChartDataAdapterFactory(): OChartDataAdapterFactory;
    /**
     * Configures the chart depending on input parameters
     */
    protected configureChart(): void;
    getChartService(): ChartService;
    protected onFormDataBind(bindedData: Object): void;
    setData(data: any, _sqlTypes?: any, _replace?: boolean): void;
    getAttributesValuesToQuery(): Array<string>;
    /**
     *  Binds chart events.
     * @returns void
     */
    bindChartEvents(): void;
    onClickEvent(onNext: (value: any) => void): Object;
    tapChart(event: any): void;
    doubleTapChart(event: any): void;
    pressChart(event: any): void;
    swipeChart(event: any): void;
    rotateChart(event: any): void;
    pinchChart(event: any): void;
}
