import { OColorData } from '../../types/color-data.type';
import { ChartConfiguration } from './ChartConfiguration.class';
import { ChartLegendConfiguration } from './ChartLegendConfiguration.class';
import { ChartMarginConfiguration } from './ChartMarginConfiguration.class';
export declare class PieChartConfiguration extends ChartConfiguration {
    readonly type: string;
    readonly donut: boolean;
    readonly donutRatio: number;
    showLeyend: boolean;
    legend: ChartLegendConfiguration;
    /** Position of the legend (top or right) */
    legendPosition: 'top' | 'right' | 'bottom';
    duration: number;
    cornerRadius: number;
    margin: ChartMarginConfiguration;
    /** Display pie labels */
    showLabels: boolean;
    /** Configure what type of data to show in the label. It can be "key", "value" or "percent" */
    labelType: 'key' | 'value' | 'percent';
    /** Configure the minimum slice size for labels to show up */
    labelThreshold: number;
    labelSunbeamLayout: boolean;
    /** Whether pie chart labels should be outside the slices instead of inside them */
    labelsOutside: boolean;
    color: string[];
    /** Formats value(s) */
    valueType: string;
    /** Enables or disabled the tooltip */
    showTooltip: boolean;
    /** List of colors for each value in the Y axis of the chart */
    colorData: OColorData[];
    /** Function used to manage the starting angle of the pie/donut chart */
    startAngle: (d: any) => number;
    /** Function used to manage the ending angle of the pie/donut chart */
    endAngle: (d: any) => number;
    constructor();
}
